## org.hibernate.service.internal
Class ServiceDependencyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.service.internal.ServiceDependencyException

All Implemented Interfaces:
  Serializable

    public class ServiceDependencyException

extends HibernateException

Indictes a problem processing service dependencies.

See Also:
  Serialized Form

Constructor Summary
`ServiceDependencyException(String s)`
`ServiceDependencyException(String string, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceDependencyException

    public ServiceDependencyException(String string,
                                      Throwable root)

### ServiceDependencyException

    public ServiceDependencyException(String s)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.